import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { RemoveRedactionOption } from '../modules/file-preview/dialogs/remove-redaction-dialog/remove-redaction-options';

interface Option {
    label: string;
    description: string;
    extraOptionLabel?: string;
}

export const removeRedactionTranslations: { [key in RemoveRedactionOption]: Option } = {
    ONLY_HERE: {
        label: _('remove-redaction.dialog.content.options.only-here.label'),
        description: _('remove-redaction.dialog.content.options.only-here.description'),
    },
    IN_DOSSIER: {
        label: _('remove-redaction.dialog.content.options.in-dossier.label'),
        description: _('remove-redaction.dialog.content.options.in-dossier.description'),
        extraOptionLabel: _('remove-redaction.dialog.content.options.redact.in-dossier.extraOptionLabel'),
    },
    FALSE_POSITIVE: {
        label: _('remove-redaction.dialog.content.options.false-positive.label'),
        description: _('remove-redaction.dialog.content.options.false-positive.description'),
        extraOptionLabel: _('remove-redaction.dialog.content.options.redact.false-positive.extraOptionLabel'),
    },
};
